Bug 4329 - Newer Ultra/AXi systems w/NCR scsi severely unstable.
Newer Ultra/AXi systems w/NCR scsi severely unstable.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.0
sparc Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-03 03:39 EDT by David Miller
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-13 19:17:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Miller 1999-08-03 03:39:51 EDT
UltraSparc AXi systems produced with APB PCI bridge
revision 13 or greater cannot withstain any amount
of heavy disk activity on NCR scsi controller.

The problem has to do with PCI write posting semantics
of the APB bridge chipset, which were dampened by some
retry semantic differences in the older chips so we never
saw it on older AXi machines.

Gerard Roudier has some attempts to work around this
problem, and after testing and verifications this fix
if working will go into the upcoming kernel updates.

Worst part about this bug is that a machine will
successfully fully install, then be unusable on first boot,
therefore it will be triky to distribute a "fix" since
people afflicted by the problem cannot even get the machine
up far enough to install an RPM update.

Suggestions are welcome on this latter issue.
Comment 1 David Miller 1999-08-13 19:17:59 EDT
I've fixed this kernel bug, it will be in our kernel
updates coming up.

Note You need to log in before you can comment on or make changes to this bug.